Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.spec
Class ElGamalPublicKeySpec

    java.lang.Object
      org.bouncycastle.jce.spec.ElGamalKeySpec
          org.bouncycastle.jce.spec.ElGamalPublicKeySpec

All Implemented Interfaces:
  java.security.spec.KeySpec

    public class ElGamalPublicKeySpec

extends ElGamalKeySpec

This class specifies an ElGamal public key with its associated parameters.

See Also:
  `ElGamalPrivateKeySpec`

Constructor Summary
`ElGamalPublicKeySpec(java.math.BigInteger y, ElGamalParameterSpec spec)`

Method Summary
`java.math.BigInteger` `getY()` Returns the public value `y`.

Methods inherited from class org.bouncycastle.jce.spec.ElGamalKeySpec
`getParams`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElGamalPublicKeySpec

    public ElGamalPublicKeySpec(java.math.BigInteger y,
                                ElGamalParameterSpec spec)

Method Detail

### getY

    public java.math.BigInteger getY()

  Returns the public value `y`.

  Returns:
    the public value `y`

Bouncy Castle Cryptography Library 1.45